pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/39433: enable zlib support in OpenSSL

>Number:         39433
>Category:       pkg
>Synopsis:       enable zlib support in OpenSSL
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Fri Aug 29 17:20:01 +0000 2008
>Originator:     Taylor R Campbell <>
>Release:        NetBSD 4.0_STABLE
System: NetBSD smalltalk.localdomain 4.0_STABLE NetBSD 4.0_STABLE 
(RIAXEN3_DOM0) #4: Sat Aug 23 06:25:39 UTC 2008 
Architecture: i386
Machine: i386

        OpenSSL supports the use of zlib to compress data transmitted
        over TLS sessions, but it is disabled by default.  Since zlib
        is available nearly everywhere, including the NetBSD base
        system, it is probably sensible to enable this by default (and
        it would be convenient if enabled in the NetBSD base system's
        OpenSSL, too).  At the very least, it would be nice to have as
        an option when building OpenSSL.


        Add `zlib' to CONFIGURE_ARGS, perhaps only if a new option,
        say, `openssl-zlib', is selected.

Home | Main Index | Thread Index | Old Index